-- Initialize Conversation object

function InitConv_SissyToBouncer()

	Sissy.SpeechHeight = 240;
	Bouncer.SpeechHeight =  330;
	Game.DisableScene = true;
	
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.FollowNone();
	Camera.SetPosition(232.442413330078,15.5104389190674,-335.797790527344);
	Camera.SetTargetPosition(102.385482788086,15.5788383483887,-228.599044799805);


	Sissy.WalkingAnimation = 'standing'; 
	Bouncer.WalkingAnimation = 'Bouncer_standing'; 
	
	Sissy.SetPosition(120.105850219727,22.4850654602051,-242.034210205078);
	Sissy.SetRotation(-102.884986877441,0,0);

	Bouncer.SetPosition(87.4300003051758,22.4660243988037,-249.511703491211);
	Bouncer.SetRotation(81.8000030517578,0,0);

	Olivetti.SetPosition(183.910003662109,22.4660549163818,-109.330001831055);
	Olivetti.SetRotation(67.1999969482422,0,0);
	
	NewConv.ClearNodes();
	ConvBackground.Visible = 1;
	ConvBackground.Alpha = 0.7;
 
	BouncerStartNode = NewConv.AddNode();
 
	NewConv.AddOption(BouncerStartNode,"Is the casino open?",'BouncerCasino');
	if saidBouncerStack ~= 1 then
		NewConv.AddOption(BouncerStartNode,"Can I see Mr Stack-o-Lee?",'BouncerStack');	
	elseif saidBouncerShowgirl ~= 1 then 
		NewConv.AddOption(BouncerStartNode,"I'm a top showgirl!",'BouncerShowgirl');		
	end
	if saidBouncerShowgirl == 1 then 
		NewConv.AddOption(BouncerStartNode,"What do I gotta do to see Stack?",'BouncerSeeStack')
	end
	if knowsAboutCamera == 2 then 
		NewConv.AddOption(BouncerStartNode,"Do you have that guy's camera?",'BouncerAskCamera');		
	end
	
	if knowsFirstGoal == 5 then
		NewConv.AddOption(BouncerStartNode,"I'm a hit!",'BouncerHit');		
	end
	
	
	NewConv.AddOption(BouncerStartNode,"See ya.",'ExitNewConvBouncer');

	BouncerCamera1 = NewConv.AddNode();
	
	NewConv.AddOption(BouncerCamera1, "...I'll call the cops.",'BouncerCops');
	NewConv.AddOption(BouncerCamera1, "...he'll take you to the cleaners.",'BouncerCleaners');
	NewConv.AddOption(BouncerCamera1, "...I'll scream.",'BouncerScream');
	NewConv.AddOption(BouncerCamera1, "...he won't stop crying.",'BouncerCrying');
	NewConv.AddOption(BouncerCamera1, "...you'll go to hell for stealing.",'BouncerHell');
	NewConv.AddOption(BouncerCamera1, "...you'll regret it.",'BouncerRegret');
 	

	Bouncer.Say ("Evening.", 3000, 'ShowBouncerStartNode');
	
 
end



-- Show Node Functions

function ShowBouncerStartNode()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	ConvBackground.Visible = 1;
  NewConv.ShowNode(BouncerStartNode);
end

function ShowCameraNode1()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(BouncerCamera1);
end

function ShowCameraNode2()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(BouncerCamera1);
end

--- Conversation scripts

function BouncerBackToStartNode ()

hideConv()
Bouncer.Say ("Beat it, lady.", 3000, 'ShowBouncerStartNode')

end

function GoToCameraNode1 ()

hideConv()
Sissy.Say ("..or...", 4000, 'ShowCameraNode1')

end

function BouncerCasino()
	
	hideConv()
	dramaCam(function()
		Sissy.Say("Is the casino open?",3000, 'BouncerConvCU');
		coroutine.yield();
		Bouncer.Say("The lounge and bar.", 3000, 'BouncerConvSissyCU');
		coroutine.yield();
		Sissy.Say("What about the\ntables and stageshow?",3000, 'BouncerConvCU')
		coroutine.yield()		
		Bouncer.Say("Ain't on til later.", 3000, 'BouncerConvSissyCU')
		coroutine.yield();
		Sissy.Say ("Is it busy?", 3000, 'BouncerConvCU')
		coroutine.yield();
		Bouncer.Say("No.",3000, 'BouncerConvSissyCU')
		coroutine.yield();
		Sissy.Say ("Ain't you the chatterbox.", 3000, 'ShowBouncerStartNode')
	end)
end


function BouncerStack()

	hideConv()
	NewConv.RemoveOption(BouncerStartNode,"Can I see Mr Stack-o-Lee?")
		
	NewConv.RemoveOption(BouncerStartNode,"See ya.")
	
	NewConv.AddOption(BouncerStartNode,"I'm a top showgirl!",'BouncerShowgirl');		
	
	saidBouncerStack = 1;
	NewConv.AddOption(BouncerStartNode,"See ya.",'ExitNewConvBouncer');
	
	dramaCam(function()
		Sissy.Say("Can I see Mr Stack-o-Lee?",3000, 'BouncerConvCU');
		coroutine.yield();
		Bouncer.Say("No.", 3000, 'BouncerConvSissyCU');
		coroutine.yield();
		Sissy.Say("Where is he?",3000, 'BouncerConvCU')
		coroutine.yield()		
		Bouncer.Say("His private suite.", 3000, 'BouncerConvSissyCU')
		coroutine.yield();
		Sissy.Say ("How do I get there?", 3000, 'BouncerConvCU')
		coroutine.yield();
		Bouncer.Say("YOU don't.",3000)
		Bouncer.Say("Mr Stack-o-Lee only\nsees the top showgirls.",3000, 'ShowBouncerStartNode')		
	end)

end


function BouncerShowgirl()

	hideConv()	
	
	NewConv.RemoveOption(BouncerStartNode,"I'm a top showgirl!")

	NewConv.RemoveOption(BouncerStartNode,"See ya.")
	
	NewConv.AddOption(BouncerStartNode,"What do I gotta do to see Stack?",'BouncerSeeStack');	
	saidBouncerShowgirl = 1;
	
	if knowsAboutCamera == 1 then
		knowsAboutCamera = 2
		NewConv.AddOption(BouncerStartNode,"Do you have that guy's camera?",'BouncerAskCamera');	
	else
		knowsAboutCamera = 1;
	end
	
	knowsFirstGoal = 1
	
	NewConv.AddOption(BouncerStartNode,"See ya.",'ExitNewConvBouncer');
	
	dramaCam(function()
		Sissy.Say("I'm a top showgirl!",3000, 'BouncerConvCU');
		coroutine.yield();
		Bouncer.Say("You're a nobody.", 3000);
		Bouncer.Say("Kid, this is how it works...",3000)
		Bouncer.Say("If a girl gets\nthe crowd going...",3000)
		Bouncer.Say("An' if she gives\nme her picture...",3000)
		Bouncer.Say("Mr Stack-o-Lee sees the picture...",3000)
		Bouncer.Say("An' if he likes it...",3000, 'BouncerConvSissyCU')
		coroutine.yield()
		Sissy.Say ("I get it.", 3000)
		Sissy.Say ("I'll work the\nroom into a lather...", 3000)	
		Sissy.Say ("And be back\nwith my photograph.", 3000, 'ShowBouncerStartNode')	
	end)

end


function BouncerSeeStack()

	hideConv()	
	
	dramaCam(function()
		Sissy.Say("What do I gotta\ndo to see Stack?",3000, 'BouncerConvCU');
		coroutine.yield();
		Bouncer.Say("To see MR Stack-o-Lee...", 3000);
		Bouncer.Say("You gotta get\nthe crowd going...",3000)
		Bouncer.Say("An' then gimme\nme your picture.",3000)
		Bouncer.Say("Then you gotta be real lucky.",3000, 'ShowBouncerStartNode')
	
	end)

end

function BouncerAskCamera()
	hideConv()
	dramaCam(function()
		Sissy.Say ("Do you have\nthat guy's camera?", 3000, 'BouncerConvCU');
		coroutine.yield()
		Bouncer.Say("Yes.",3000, 'BouncerConvSissyCU')
		coroutine.yield()
		Sissy.Say ("Will you give it to me?", 3000, 'BouncerConvCU');
		coroutine.yield()	
		Bouncer.Say("No.",3000, 'BouncerConvSissyCU')
		Sissy.Say ("Give me the camera or...", 3000, 'GoToCameraNode1');
		coroutine.yield()	
	end)

end




function BouncerCops()
hideConv()
		
	dramaCam(function()
		Sissy.Say ("...I'll call the cops.", 3000, 'BouncerConvSissyCU')
		coroutine.yield()
		Olivetti.Say ("You'd oughta call the pound...", 3000);
		Olivetti.Say ("I think this one has fleas.", 3000, 'BouncerConvWide');
		coroutine.yield()
		Bouncer.Say("No dice, ma'am.",3000, 'BouncerBackToStartNode')			
	end)

end

function BouncerCleaners()
hideConv()
		
	dramaCam(function()
		Sissy.Say ("...he'll take you\nto the cleaners.", 3000, 'BouncerConvCU')
		coroutine.yield()
		Bouncer.Say("Oh yeah?",3000, 'BouncerConvSissyCU')
		coroutine.yield()
		Olivetti.Say ("Sure, I think you\ngot drool on that suit.", 3000, 'BouncerConvWide')
		coroutine.yield()
		Bouncer.Say("That guy got no respect.",3000, 'BouncerBackToStartNode')
	end)

end

function BouncerScream()

hideConv()
		
	dramaCam(function()
		Sissy.Say ("...I'll scream.", 3000)
		Olivetti.Say ("He's used to it.", 3000)
		Olivetti.Say ("All the girls scream\nwhen they see his mug.", 3000)
		Sissy.Say ("Listen...", 3000, 'BouncerConvWide')
		coroutine.yield()
		Bouncer.Say("I heard enough.",3000, 'BouncerBackToStartNode')
	end)
		
end



function BouncerCrying()

	hideConv()

	knowsAboutCamera = 3
	
	NewConv.RemoveOption(BouncerStartNode, "Do you have that guy's camera?")
	
	AddInv (Cam)
	Cam.Visible = true
		
	dramaCam(function()
		Sissy.Say ("...he won't stop crying.", 3000, 'BouncerConvCU')
		coroutine.yield()
		Bouncer.Say("Is that so?",3000, 'BouncerConvSissyCU')
		coroutine.yield()
		Olivetti.Say ("No it ain't.", 3000)
		Sissy.Say ("It is, he's real\nbroke up about it.", 3000, 'BouncerConvCU')
		coroutine.yield()		
		Bouncer.Say("Poor baby.", 3000, 'BouncerConvSissyCU')
		coroutine.yield()		
		Sissy.Say ("Maybe I ought to call his ma...", 3000, 'BouncerConvCU')
		coroutine.yield()		
		Bouncer.Say("He he he...", 3000)		
		Sleep(1)
		Bouncer.Say("You're okay, kid.", 3000)	
		Sleep(1)
		Bouncer.Say("Take the dumb camera..", 3000, 'BouncerGiveCamera')	
		coroutine.yield()	
		Bouncer.Say("But tell that chump he\nain't gettin' back inside...", 3000)	
		Bouncer.Say("... without a pers'nal\ninvitation from the boss.", 3000, 'ExitNewConvBouncer')
		
	end)

end

function BouncerGiveCamera()
	Bouncer.AddAnimation('Bouncer/bouncer_give.smd');		
	Bouncer.RunBoneAnimation('bouncer_give', 'none', 70); 
	Sissy.RunBoneAnimation('sissy_take', 'BouncerEndGiveCamera', 70); 
end

function BouncerEndGiveCamera()
	coroutine.resume (co_drama);
end


function BouncerHell()
hideConv()
	dramaCam(function()

		Sissy.Say ("...you'll go to hell for stealing.", 3000, 'BouncerConvCU'); 
		coroutine.yield()
		Bouncer.Say ("I ain't so worried.", 3000, 'BouncerConvSissyCU');
		coroutine.yield()
		Olivetti.Say ("Nah, the real deadly sin\nis his personal hygiene.", 3000, 'BouncerConvCU')
		coroutine.yield()
		Bouncer.Say ("You're asking for\nit, ya lousy-!", 3000, 'BouncerConvSissyCU');
		coroutine.yield()
		Sissy.Say ("Hey calm down!", 3000); 
		Olivetti.Say ("Yeah, no need\nto cause a stink.", 3000, 'BouncerConvWide')
		coroutine.yield()
		Bouncer.Say ("Hmph!", 2000, 'BouncerBackToStartNode');
		
	end)
end

function BouncerRegret()
hideConv()
	dramaCam(function()

		Sissy.Say ("...you'll regret it.", 3000, 'BouncerConvCU'); 
		coroutine.yield()
		Bouncer.Say ("I don't got no regrets.", 3000, 'BouncerConvSissyCU');
		coroutine.yield()
		Olivetti.Say ("Didn't take no\nelocution classes neither.", 3000, 'BouncerConvCU')
		coroutine.yield()
		Bouncer.Say ("Whatchu say?", 3000, 'BouncerConvSissyCU');
		coroutine.yield()
		Olivetti.Say ("I stand corrected,\nyou're quite the wordsmith.", 3000)
		Olivetti.Say ("How do you spell ignormaus?", 3000, 'BouncerConvCU')
		coroutine.yield()
		Bouncer.Say ("You-", 2000, 'BouncerConvSissyCU');
		coroutine.yield()
		Olivetti.Say ("No, it begins with an 'I'...", 3000, 'BouncerConvWide')
		coroutine.yield()
		Bouncer.Say ("I had enougha this!", 3000, 'BouncerBackToStartNode');
		
	end)



end


function BouncerHit()

	hideConv()
	NewConv.RemoveOption(BouncerStartNode,"I'm a hit!")
	dramaCam(function()
		Sissy.Say ("I'm a hit!", 3000, 'BouncerConvCU');
		coroutine.yield()
		Bouncer.Say("Oh yeah?",3000)
		Chuck.Say("Encore, encore!",3000)
		Chuck.Say("Bring on Sissy O'Leary!",3000, 'BouncerConvSissyCU')
		coroutine.yield()
		Sissy.Say ("See?", 3000);
		Sissy.Say ("They're cheering\nfor ol' Sissy.", 3000, 'BouncerConvCU');
		coroutine.yield()	
		Bouncer.Say("That sounds\nlike one guy.",3000, 'BouncerConvSissyCU')
		coroutine.yield()	
		Sissy.Say ("It's a quiet night.", 3000, 'BouncerConvCU');
		coroutine.yield()	
		Bouncer.Say("Okay, you did good.",3000)
		Bouncer.Say("Gimme your picture\nand I'll take it up.",3000, 'ExitNewConvBouncer')
		knowsFirstGoal = 6
		
		end)

end


function ExitNewConvBouncer()
  NewConv.HideNodes();
  ConvBackground.RunAnimation(FadeOutDiagAni.ID,'closeBouncerConv');
  Sissy.Say("Goodbye, Mr.");
	Bouncer.Say ("See you around.");
 
end



-- Camera Control Functions

 function BouncerConvWide()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(232.442413330078,15.5104389190674,-335.797790527344);
	Camera.SetTargetPosition(102.385482788086,15.5788383483887,-228.599044799805);


	coroutine.resume (co_drama);
end

 function BouncerConvCU()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(137.717849731445,29.3782711029053,-259.592437744141);
	Camera.SetTargetPosition(63.7148208618164,30.4672508239746,-236.324920654297);


	coroutine.resume (co_drama);
end

 function BouncerConvSissyCU()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(88.4317016601562,27.5549354553223,-270.491088867187);
	Camera.SetTargetPosition(126.456558227539,24.9696674346924,-229.209167480469);


	coroutine.resume (co_drama);
end



-- Hide / Exit Functions

function closeBouncerConv()
 ConvBackground.Visible = 0;
 	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	Camera.SetPosition(244.187576293945,30.3454418182373,-423.053741455078)
	Camera.SetTargetPosition(0,10,0); 
 Camera.FollowActor(0);
 GUIActive = true;
 Sissy.SpeechHeight = 100;
 Bouncer.SpeechHeight = 100;
 	Sissy.WalkingAnimation = 'walking'; 
	Bouncer.WalkingAnimation = 'bouncer_walking'; 
	Olivetti.WalkingAnimation = 'Olivetti_walking'; 

 Game.DisableScene = 0;
 -- Were are done, enable scene

	
end

function hideConv()
	ConvBackground.Visible = 0;
  NewConv.HideNodes();
end
