-- Initialize Conversation object

function InitConv_SissyToChuck()
	Sissy.SpeechHeight = 240;
	Chuck.SpeechHeight = 300;
	Game.DisableScene = true;
	
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	
	Camera.SetPosition(-100.853271484375,27.4124622344971,-64.5514373779297);
	Camera.SetTargetPosition(0,24,-88);
	Camera.FollowNone()



	Sissy.WalkingAnimation = 'standing'; 
	Chuck.WalkingAnimation = 'Chuck_standing'; 
	
	Sissy.SetPosition(-65.5916137695313,22.0464878082275,-80.5749969482422);
	Sissy.SetRotation(59.2099990844727,0,0);

	Chuck.SetPosition(-35,22,-71);
	Chuck.SetRotation(-82.5,0,0);


	
	NewConv.ClearNodes();
	ConvBackground.Visible = 1;
	ConvBackground.Alpha = 0.7;
 
	ChuckStartNode = NewConv.AddNode();
 
	NewConv.AddOption(ChuckStartNode,"What's your line of work?",'ChuckBusiness');
	NewConv.AddOption(ChuckStartNode,"Do you know Stack?",'ChuckStack');		
	if knowsFirstGoal == 2 then 
		NewConv.AddOption(ChuckStartNode,"Why didn't you like my routine?",'ChuckShowgirl');		
	end
	
	if knowsFirstGoal >= 3 and booAgain == 1 then 
		NewConv.AddOption(ChuckStartNode,"You booed me again!",'ChuckBooed');		
	end
	
	NewConv.AddOption(ChuckStartNode,"See ya.",'ExitNewConvChuck');
	
	ChuckDance = NewConv.AddNode();
	
	NewConv.AddOption(ChuckDance, "Do the ol' Bob and Weave.",'ChuckDanceBob');
	NewConv.AddOption(ChuckDance, "Do the Goggle-eyes.",'ChuckDanceSpecs');
	NewConv.AddOption(ChuckDance, "Do the Crazy Chicken",'ChuckDanceChicken');
	NewConv.AddOption(ChuckDance, "Do the Dance Macabre.",'ChuckDanceMacabre');
	NewConv.AddOption(ChuckDance, "Do the Choo-choo.",'ChuckDanceChooChoo');
	
	
	
	Chuck.Say ("Waddya want?", 3000, 'ShowChuckStartNode');
	
 
end



-- Show Node Functions

function ShowChuckStartNode()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	ConvBackground.Visible = 1;
  NewConv.ShowNode(ChuckStartNode);
end

function ShowChuckDance()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(ChuckDance);
end

--- Conversation scripts


function ChuckBusiness()
	
	hideConv()
	dramaCam(function()
		Sissy.Say("What's your line of work?",3000, 'ChuckConvCU');
		coroutine.yield();
		Chuck.Say("I keep the bars round\nhere in business...", 3000);
		Chuck.Say("...an' I seen all\nthe floor shows.", 3000);
		Chuck.Say("Seen 'em - million times..", 3000, 'ChuckConvSissyCU');
		coroutine.yield();
		Sissy.Say("You a real connoisseur.",3000, 'ChuckConvCU')
		coroutine.yield()		
		Chuck.Say("Whaddya call me?!", 3000, 'ShowChuckStartNode')
	end)
end


function ChuckStack()

	hideConv()
	
	dramaCam(function()
		Sissy.Say("Do you know Stack?",3000, 'ChuckConvCU');
		coroutine.yield();
		Chuck.Say("Nope.", 3000);
		Chuck.Say("All my friends have\nolives floating in 'em.", 3000, 'ShowChuckStartNode');
	end)

end


function ChuckShowgirl()

	hideConv()	
	sissyScore = 0
	correctDance = 'dance_specs'
	dancePos = 1
	dramaCam(function()
		Sissy.Say("Why didn't you like my routine?",3000, 'ChuckConvCU');
		coroutine.yield();
		Chuck.Say("Sister, you don't know\nhow to work a crowd.", 3000);
		Chuck.Say("You gotta use the right\nmoves at the right time.",3000, 'ChuckConvWideDance')
		coroutine.yield();
		Chuck.Say("Lookie, show me\nwhat you got...",3000)
		Chuck.Say("Start with something\nto get their eyes open!",3000, 'ShowChuckDance')
	end)

end

function ChuckDanceBob()
	hideConv()
	ChuckConvWide()
	sissyDance = 'dance_bob'
		Sissy.AddAnimation('Sissy/sissy_dance_bob.smd');
		Sissy.RunBoneAnimation('sissy_dance_bob', 'ChuckDanceEnd', 70);
	
end

function ChuckDanceSpecs()
	hideConv()
	ChuckConvWide()
	sissyDance = 'dance_specs'
		Sissy.AddAnimation('Sissy/sissy_dance_specs.smd');
		Sissy.RunBoneAnimation('sissy_dance_specs', 'ChuckDanceEnd', 70);
	
end

function ChuckDanceChicken()
	hideConv()
	ChuckConvWide()
	sissyDance = 'dance_feathers'
		Sissy.AddAnimation('Sissy/sissy_dance_feathers.smd');
		Sissy.RunBoneAnimation('sissy_dance_feathers', 'ChuckDanceEnd', 70);
end

function ChuckDanceMacabre()
	hideConv()
	ChuckConvWide()
	sissyDance = 'dance_bones'
		Sissy.AddAnimation('Sissy/sissy_dance_bones.smd');
		Sissy.RunBoneAnimation('sissy_dance_bones', 'ChuckDanceEnd', 70);

end


function ChuckDanceChooChoo()
	hideConv()
	ChuckConvWide()
	sissyDance = 'dance_whistle'
		Sissy.AddAnimation('Sissy/sissy_dance_whistle.smd');
		Sissy.RunBoneAnimation('sissy_dance_whistle', 'ChuckDanceEnd', 70);

end


function ChuckDanceEnd()

	if correctDance == sissyDance then
		sissyScore = sissyScore + 1
		Game.LOG (sissyScore)
		Game.LOG (sissyDance)
	end
	
	--ChuckConvCU()
	
	if dancePos == 1 then
		dancePos = 2
		correctDance = 'dance_bones'
		Chuck.Say("Then you gotta\nshake them bones!", 3000, 'ShowChuckDance')
	
	elseif dancePos == 2 then
		dancePos = 3
		correctDance = 'dance_feathers'
		Chuck.Say("Now ruffle some feathers!", 3000, 'ShowChuckDance')
	
	elseif dancePos == 3 then
		dancePos = 4
		correctDance = 'dance_whistle'
		Chuck.Say("Make 'em blow their whistle!", 3000, 'ShowChuckDance')
	
	elseif dancePos == 4 then
		dancePos = 5
		correctDance =  'dance_bob'
		Chuck.Say("Then knock 'em out!", 3000, 'ShowChuckDance')
	
	else
	
		dancePos = 0
		Game.LOG ("Final score:")
		Game.LOG (sissyScore)	
		if sissyScore >= 5 then

			knowsFirstGoal = 3
			Chuck.Say("That was electric!", 3000)
			Chuck.Say("You gotta try\nthose moves on stage.", 3000)
			Chuck.Say("But remember things are\nalways easier in rehearsal.", 3000, 'ExitNewConvChuck')
			
		else
		
			Chuck.Say("Hmm... somethin' ain't right.", 3000)
			Sissy.Say("I'll get it next time!", 3000, 'ExitNewConvChuck')	
			correctDance = ''
			sissyDance = ''

			
		end
	end
end


function ChuckBooed()
	hideConv()
	dramaCam(function()
		Sissy.Say("You booed me again!",3000);
		Chuck.Say("You gotta learn\nto read the audience.", 3000);
		Chuck.Say("Give 'em what\nthey're askin' for.", 3000, 'ChuckConvSissyCU');
		Sissy.Say("Hmm...",3000, 'ShowChuckStartNode');
	end)

end


function ExitNewConvChuck()
  NewConv.HideNodes();
  ConvBackground.RunAnimation(FadeOutDiagAni.ID,'closeChuckConv');
  Sissy.Say("See ya.");
	Chuck.Say ("Sure.");
 
end

-- Camera Control Functions

 function ChuckConvWide()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(-41.0817184448242,42.7543106079102,51.6941566467285);
	Camera.SetTargetPosition(-55,25,-50);
	coroutine.resume (co_drama);
end

 function ChuckConvWideDance()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(-41.0817184448242,42.7543106079102,51.6941566467285);
	Camera.SetTargetPosition(-55,25,-50);
	Sissy.PointTo (Camera.X, Sissy.Y, Camera.Z);
	coroutine.resume (co_drama);
end

 function ChuckConvCU()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(-100.853271484375,27.4124622344971,-64.5514373779297);
	Camera.SetTargetPosition(0,24,-88);

	coroutine.resume (co_drama);
end

 function ChuckConvSissyCU()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(-14.0445251464844,26.3221015930176,-31.0087776184082);
	Camera.SetTargetPosition(-29,25,-50);
	coroutine.resume (co_drama);
end



-- Hide / Exit Functions

function closeChuckConv()
 ConvBackground.Visible = 0;
  if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
 GUIActive = true;
 Sissy.SpeechHeight = 100;
 Chuck.SpeechHeight = 100;
 	Sissy.WalkingAnimation = 'walking'; 
	Chuck.WalkingAnimation = 'Chuck_walking';
	Olivetti.WalkingAnimation = 'Olivetti_walking';
	
	Camera.SetPosition(40.1609878540039,40.9374694824219,107.334579467773);
	Camera.SetTargetPosition(26.6079139709473,40.055606842041,88.8144226074219);
	Camera.SetTargetPosition(0,20,0); 
	Camera.FollowActor(Sissy.ID);
	
	
 Game.DisableScene = 0;
 -- Were are done, enable scene

	
end

function hideConv()
	ConvBackground.Visible = 0;
  NewConv.HideNodes();
end
