-- Initialize Conversation object

function InitConv_SissyToLyons()

	Sissy.SpeechHeight = 240;
	Lyons.SpeechHeight =  330;
	Game.DisableScene = true;
	
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.FollowNone();
	Camera.SetPosition(-124.709396362305,48.3841934204102,232.007568359375);
	Camera.SetTargetPosition(-62.9039611816406,33.2612724304199,136.932571411133);


	Sissy.WalkingAnimation = 'standing'; 
	Lyons.WalkingAnimation = 'Lyons_standing'; 
	
	Sissy.SetPosition(-52.707878112793,33.9935646057129,162.203277587891);
	Sissy.SetRotation(-139.786743164062,0,0);

	Lyons.SetPosition(-76,33.994083404541,118);
	Lyons.SetRotation(15,0,0);
	
	NewConv.ClearNodes();
	ConvBackground.Visible = 1;
	ConvBackground.Alpha = 0.7;
 
	LyonsStartNode = NewConv.AddNode();
 
	NewConv.AddOption(LyonsStartNode,"Hi, Billy.",'LyonsHello');
	NewConv.AddOption(LyonsStartNode,"Where is Stack?",'LyonsWhereStack');
	NewConv.AddOption(LyonsStartNode,"Bye, bye.",'ExitNewConvLyons');

	Lyons.Say ("It ain't the\ntime to jaw, Sissy.", 3000, 'ShowLyonsStartNode');
	 
end



-- Show Node Functions

function ShowLyonsStartNode()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	ConvBackground.Visible = 1;
  NewConv.ShowNode(LyonsStartNode);
end

function ShowCameraNode1()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(LyonsCamera1);
end

function ShowCameraNode2()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(LyonsCamera1);
end

--- Conversation scripts



function LyonsHello()
	
	hideConv()
	dramaCam(function()
		Sissy.Say("Hi, Billy",3000, 'LyonsConvCU');
		coroutine.yield();
		Lyons.Say("Are you outta\nyour mind?", 3000);
		Lyons.Say("We shouldn't be\nseen together.", 3000, 'LyonsConvSissyCU');
		coroutine.yield();
		Sissy.Say("What's it matter?",3000)
		Sissy.Say("By tomorrow we'll\nbe gone, right?",3000, 'LyonsConvCU')
		coroutine.yield()		
		Lyons.Say("What if you screw up?", 3000)
		Lyons.Say("If Stack found out\nit was my plan...", 3000)
		Lyons.Say("...I wouldn't have to\nlook for a new job.", 3000,'LyonsConvWide')
		Lyons.Say("I'd be busy pushin'\nup daisies.", 3000, 'ShowLyonsStartNode')
	end)
end


function LyonsWhereStack()

	hideConv()
	dramaCam(function()
		Sissy.Say("Where is Stack?",3000, 'LyonsConvCU');
		coroutine.yield();
		Lyons.Say("Likely as not he's\npeepin' out that window.", 3000);
		Lyons.Say("Lookin' out for\nconspiracies and such.", 3000, 'LyonsConvSissyCU');
		coroutine.yield();
		Sissy.Say("But how does he\nget up there?",3000, 'LyonsConvCU')
		coroutine.yield()		
		Lyons.Say("The private elevator\nbehind you.", 3000, 'LyonsConvSissyCU')
		coroutine.yield();
		Sissy.Say ("I see.", 3000, 'ShowLyonsStartNode')
	end)

end

function ExitNewConvLyons()
  NewConv.HideNodes();
  ConvBackground.RunAnimation(FadeOutDiagAni.ID,'closeLyonsConv');
  Sissy.Say("Bye, bye.");
	Lyons.Say ("Sure, I got cards to mark...");
 
end



-- Camera Control Functions

 function LyonsConvWide()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(-124.709396362305,48.3841934204102,232.007568359375);
	Camera.SetTargetPosition(-62.9039611816406,33.2612724304199,136.932571411133);



	coroutine.resume (co_drama);
end

 function LyonsConvCU()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(-84.2126007080078,25.7062721252441,177.599456787109);
	Camera.SetTargetPosition(-75.4472961425781,38.250904083252,132.612564086914);



	coroutine.resume (co_drama);
end

 function LyonsConvSissyCU()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(-104.964996337891,31.4794158935547,114.757553100586);
	Camera.SetTargetPosition(-64.0356979370117,35.9350433349609,142.379119873047);




	coroutine.resume (co_drama);
end



-- Hide / Exit Functions

function closeLyonsConv()
 ConvBackground.Visible = 0;
 	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	Camera.SetPosition(-79.6322021484375,75.2063369750977,251.413696289062);
	Camera.SetTargetPosition(0.755175530910492,1.33713173866272,61.655101776123);
	Camera.FollowNone();
  GUIActive = true;
  Sissy.SpeechHeight = 100;
  Lyons.SpeechHeight = 100;
 	Sissy.WalkingAnimation = 'walking'; 
	Lyons.WalkingAnimation = 'Lyons_walking'; 

 Game.DisableScene = 0;
 -- Were are done, enable scene

	
end

function hideConv()
	ConvBackground.Visible = 0;
  NewConv.HideNodes();
end
