function LoadOlivetti()
	if Olivetti == nil then
		Olivetti = TActor.Create();

		Olivetti.MouseControl = 0;
		Olivetti.LoadBaseMesh('Olivetti/Olivetti.smd');
		Olivetti.SetPosition(-50,25,-25);
		Olivetti.SetActor_Dummy_Position(0,0,0); 
		Olivetti.SetMeshScale(1,1,1); 
		Olivetti.AddAnimation('Olivetti/Olivetti_standing.smd');
		Olivetti.AddAnimation('Olivetti/Olivetti_talking.smd');
		Olivetti.AddAnimation('Olivetti/Olivetti_walking.smd'); 

		Olivetti.AddAnimation('Olivetti/olivetti_photo.smd');
		Olivetti.AddAnimation('Olivetti/olivetti_give.smd');
		Olivetti.AddAnimation('Olivetti/olivetti_take.smd');


		Olivetti.WalkingAnimation = 'Olivetti_walking'; 
		Olivetti.TalkingAnimation = 'Olivetti_talking'; 
		Olivetti.StandingAnimation = 'Olivetti_standing'; 
		Olivetti.CurrentAnimation = 'Olivetti_standing'; 
		Olivetti.Interval = 100;
		Olivetti.SetCollisionScale(8,22,8);
		Olivetti.WalkingSpeed = 500;
		Olivetti.WalkingInterval = 50;
		Olivetti.SetHandBones("Hand.L", "Hand.R"); 
		Olivetti.SetSpeechColorRGB (160,199,231);
	end
end


function onOlivettiExamine()
	Sissy.Say('Looks like\na reporter.');
end

function onOlivettiInteract()
	startConv ('SissyToOlivetti');
end

function onOlivettiUseInv()

	if heldInv == Cam then

		OlivettiCameraCutscene()
		
	elseif heldInv == Footlight then
	
		OlivettiFootlightCutscene()
		
	else
		UseInvFail();
	end
end


function OlivettiCameraCutscene()

		Sissy.SpeechHeight = 240;
		Olivetti.SpeechHeight = 240;
		Game.DisableScene = true;
		StatusLineText.Text = ''
		if Game.Width == 800 then
			Camera.FocalLength = close_small
		else
			Camera.FocalLength = close_big
		end
		PutAwayInv ()
		LoseInv (Cam)
		needsBulb = 1
		Camera.FollowNone()
		Camera.SetPosition(299.865692138672,16.4534435272217,-145.55322265625);
		Camera.SetTargetPosition(-25,26,7.3657054901123);

		Sissy.WalkingAnimation = 'standing'; 
		Olivetti.WalkingAnimation = 'Olivetti_standing'; 
		Bouncer.WalkingAnimation = 'bouncer_standing'; 
		
		Sissy.SetPosition(195.516464233398,22.4660320281982,-75.9530944824219);
		Sissy.SetRotation(-174.222320556641,0,0);
		Olivetti.SetPosition(183.910003662109,22.4672241210938,-109.330001831055);
		Olivetti.SetRotation(48.9000015258789,0,0);
		
		Bouncer.SetPosition(87.4300003051758,22.4660243988037,-249.511703491211);
		Bouncer.SetRotation(119.599998474121,0,0);
		
		dramaCam(function()
		Sissy.Say ("Hey!", 3000, 'OlivettiConvCU');
		coroutine.yield()
		Sissy.Say ("I got your camera back.", 3000, 'OlivettiGiveCamera');
		coroutine.yield()
		Olivetti.Say("Well what\ndo you know...",3000)
		Olivetti.Say("My good\nold Instamaton...",3000)
		Olivetti.Say("What's your name?",3000, 'OlivettiConvSissyCU')
		coroutine.yield()
		Sissy.Say ("Sissy O'Leary.", 3000, 'OlivettiConvCU');
		coroutine.yield()	
		Olivetti.Say("Thanks, Miss O'Leary.",3000, 'OlivettiConvSissyCU')
		coroutine.yield()
		Sissy.Say ("Now you gotta\ndo me a favour.", 3000, 'OlivettiConvCU');
		coroutine.yield()
		Olivetti.Say("Take your\npicture? Sure!",3000)
		Olivetti.Say("Ah, dammit!",3000)
		Olivetti.Say("That oaf broke the flash!",3000)
		Olivetti.Say("Sorry Sissy, I\ncan't take your picture.",3000, 'OlivettiConvSissyCU')
		coroutine.yield()
		Sissy.Say ("Can't you fix it?", 3000, 'OlivettiConvCU');
		coroutine.yield()		
		Olivetti.Say("I can wire in\npretty much any bulb...",3000)
		Olivetti.Say("...I'm nifty like that...",3000)
		Olivetti.Say("...but I don't have any\nspare bulbs with me.",3000, 'OlivettiConvSissyCU')
		Sissy.Say ("Hmm...", 3000, 'OlivettiCameraCutsceneEnd');
		end)

end


function OlivettiCameraCutsceneEnd ()
 ConvBackground.Visible = 0;
 	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
 Camera.SetPosition(273.513031005859,14.8945865631104,-244.232757568359)
	Camera.SetTargetPosition(0,10,0); 
 Camera.FollowActor(0);
 GUIActive = true;
 Sissy.SpeechHeight = 100;
 Olivetti.SpeechHeight = 100;
 	Sissy.WalkingAnimation = 'walking'; 
	Olivetti.WalkingAnimation = 'Olivetti_walking'; 
	Bouncer.WalkingAnimation = 'Bouncer_walking'; 

 Game.DisableScene = 0;
end



function OlivettiGiveCamera()
		Sissy.RunBoneAnimation('sissy_give', 'none', 70); 
		Olivetti.RunBoneAnimation('olivetti_take', 'OlivettiEndGiveCamera', 70)
		
end

function OlivettiEndGiveCamera()
	LoseInv (Cam)
	coroutine.resume (co_drama)
end


function OlivettiFootlightCutscene()
		
		Sissy.SpeechHeight = 240;
		Olivetti.SpeechHeight = 240;
		Game.DisableScene = true;
		StatusLineText.Text = '';
		if Game.Width == 800 then
			Camera.FocalLength = close_small
		else
			Camera.FocalLength = close_big
		end
		PutAwayInv ()
		LoseInv (Cam)
		Camera.FollowNone()
		Camera.SetPosition(299.865692138672,16.4534435272217,-145.55322265625);
		Camera.SetTargetPosition(-25,26,7.3657054901123);

		Sissy.WalkingAnimation = 'standing'; 
		Olivetti.WalkingAnimation = 'Olivetti_standing'; 
		Bouncer.WalkingAnimation = 'bouncer_standing'; 
		
		Sissy.SetPosition(195.516464233398,22.4660320281982,-75.9530944824219);
		Sissy.SetRotation(-174.222320556641,0,0);
		Olivetti.SetPosition(183.910003662109,22.4672241210938,-109.330001831055);
		Olivetti.SetRotation(48.9000015258789,0,0);
		
		Bouncer.SetPosition(87.4300003051758,22.4660243988037,-249.511703491211);
		Bouncer.SetRotation(119.599998474121,0,0);
		
		dramaCam(function()
		Sissy.Say ("Whaddya make of this?", 3000, 'OlivettiConvCU');
		coroutine.yield()
		Sissy.Say ("I found a bulb.", 3000, 'OlivettiGiveBulb_1');
		coroutine.yield()
		Olivetti.Say("You're full of surprises.",3000)
		Sleep (1);
		Olivetti.Say("They fit!",3000)
		Sleep (1);
		Olivetti.Say("Say cheese, Sissy...",3000, 'OlivettiTakePhoto')
		coroutine.yield()
		Sleep(5);
		Sissy.Say ("I'm seeing spots.", 3000);
		Sleep(1);
		Olivetti.Say ("It's a good\none, here...", 3000, 'OlivettiGivePhoto');
		coroutine.yield()
		Sissy.Say ("Thanks!", 3000, 'OlivettiFootlightEndCutscene');
		end)

end

function OlivettiGiveBulb_1()
	
	Sissy.RunBoneAnimation('sissy_give', 'none', 70); 
	Olivetti.RunBoneAnimation('olivetti_take', 'OlivettiEndGiveBulb', 70)

end

function OlivettiEndGiveBulb()
	LoseInv (Footlight)
	coroutine.resume (co_drama)
end

function OlivettiTakePhoto()
		
		CamLight.MoveToActorsHand (Olivetti.ID);
		CamLight.SetPosition(0.899999976158142,4,0.5);
		CamLight.SetRotation(90,90,0);
		CamLight.Visible = true;
		Olivetti.RunBoneAnimation('olivetti_photo', 'OlivettiEndTakePhoto', 70)
		
end

function OlivettiEndTakePhoto()
	Sound.Play(cameraflash,1);
	Sound.SetVolume(cameraflash,40);
	Game.SetTimer(Game.CurrentTime + 2,'EndCameraSound')
	CamLight.Visible = false;
	CamLight.MoveToRoom();
	Blackout.Load("GUI/white.png");
	Blackout.Visible = 1;
	BlackoutAlpha = 1;
	Blackout.RunAnimation(FadeOutAni.ID);
	coroutine.resume (co_drama)
end


function EndCameraSound()
	Sound.Stop (cameraflash);

end

function OlivettiGivePhoto()
		
		Sissy.RunBoneAnimation('sissy_take', 'none', 70); 
		Olivetti.RunBoneAnimation('olivetti_give', 'OlivettiEndGivePhoto', 70)
end

function OlivettiEndGivePhoto()

	AddInv (Photo)
	Photo.Visible = true;
	coroutine.resume (co_drama)

end

function OlivettiFootlightEndCutscene()
 ConvBackground.Visible = 0;
 
 	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
 
 Camera.SetPosition(273.513031005859,14.8945865631104,-244.232757568359)
 Camera.SetTargetPosition(0,10,0); 
 Camera.FollowActor(0);
 GUIActive = true;
 GUIActive = true;
 Sissy.SpeechHeight = 100;
 Olivetti.SpeechHeight = 100;
 	Sissy.WalkingAnimation = 'walking'; 
	Olivetti.WalkingAnimation = 'Olivetti_walking'; 
	Bouncer.WalkingAnimation = 'Bouncer_walking'; 


 Game.DisableScene = 0;


end